Subject: [bug#31285] [PATCH 0/1] guix: Add git-fetch/impure.

From: Luis Felipe <[email-masked]>
Date: Thu, 22 Oct 2020 00:44:37 +0000

> Sometimes, a Git repository may only be available via an authenticatedSSH connection. Even in the case of repositories that only containfree software, this situation can arise for administrative orcompliance-related reasons. How can one define a package in such asituation?

Correct me if I'm wrong, but I think this is possible now. All you have to do is pass a git-checkout record to the package source field instead of an origin (see the (guix git) module). For example:

(source
 (git-checkout
  (url "[email-masked]:luis-felipe/guile-lab.git")
  (commit (string-append "v" version))))

I'm using this for my private packages, and it seems to work.